%bcond_without check
%global debug_package %{nil}

%global goipath         go.uber.org/goleak
%global forgeurl        https://github.com/uber-go/goleak
Version:                1.2.1

%gometa

%global common_description %{expand:
Goroutine leak detector.}

%global golicenses      LICENSE
%global godocs          CHANGELOG.md README.md

Name:           %{goname}
Release:    1%{?dist}
Summary:        Goroutine leak detector

License:        MIT
URL:            %{gourl}
Source0:         %{gosource}

%description %{common_description}

%gopkg

%prep
%goprep

%generate_buildrequires
%go_generate_buildrequires

%install
%gopkginstall

%if %{with check}
%check
%gocheck
%endif

%gopkgfiles

%changelog
* Mon Jul 01 2024 OpenCloudOS Release Engineering <releng@opencloudos.tech> - 1.2.1-1
- initial build
